Package: org.apache.groovy.macrolib

## [Java] Class MacroLibGroovyMethods

- org.apache.groovy.macrolib.MacroLibGroovyMethods

-     public class MacroLibGroovyMethods
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Expression` | `NV(MacroContext ctx, Expression exp)`
    `<T>` | `public static NamedValue<T>` | `NV(Object self, T arg)`
    `` | `public static Expression` | `NVL(MacroContext ctx, Expression exps)`
    `<T>` | `public static List<NamedValue<T>>` | `NVL(Object self, T args)`
    `` | `public static Expression` | `SV(MacroContext ctx, Expression exps)`
    `` | `public static GString` | `SV(Object self, Object args)`
    `` | `public static Expression` | `SVD(MacroContext ctx, Expression exps)`
    `` | `public static GString` | `SVD(Object self, Object args)`
    `` | `public static Expression` | `SVI(MacroContext ctx, Expression exps)`
    `` | `public static GString` | `SVI(Object self, Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Macro
      public static Expression NV(MacroContext ctx, Expression exp)

    - #### <T> public static NamedValue<T> NV(Object self, T arg)

    - #### @Macro
      public static Expression NVL(MacroContext ctx, Expression exps)

    - #### <T> @SuppressWarnings("unchecked")
      public static List<NamedValue<T>> NVL(Object self, T args)

    - #### @Macro
      public static Expression SV(MacroContext ctx, Expression exps)

    - #### public static GString SV(Object self, Object args)

    - #### @Macro
      public static Expression SVD(MacroContext ctx, Expression exps)

    - #### public static GString SVD(Object self, Object args)

    - #### @Macro
      public static Expression SVI(MacroContext ctx, Expression exps)

    - #### public static GString SVI(Object self, Object args)